# Aryeo

# Introduction
The Aryeo API provides access to the Aryeo platform.

Version: 1.0.0
License: Apache 2.0

## Servers

Production
```
https://api.aryeo.com/v1
```

## Security

### Token

A personal access token (token) identifying a user, and sometimes, the user's current group. Tokens may be generated in a group's developer settings. The token should be supplied in the authorization header: `Authorization: Bearer {token}`.

Type: http
Scheme: bearer

## Download OpenAPI description

[Aryeo](https://docs.aryeo.com/_bundle/api/aryeo.yaml)

## Addresses

Operations related to addresses. Addresses provide standardized address data.

### Create address.

 - [POST /addresses](https://docs.aryeo.com/api/aryeo/addresses/post-addresses.md): Create address.

### Get address.

 - [GET /addresses/{address}](https://docs.aryeo.com/api/aryeo/addresses/addresses-address-get.md): Get address.

### Update address.

 - [PATCH /addresses/{address}](https://docs.aryeo.com/api/aryeo/addresses/addresses-address-patch.md): Update address.

## Appointments

Operations related to appointments. Appointments are bookings for services that can be rescheduled, cancelled, and confirmed.

### List appointments.

 - [GET /appointments](https://docs.aryeo.com/api/aryeo/appointments/get-appointments.md): List appointments. By default, returns a list of appointments that have been scheduled and have not been canceled

### Get appointment.

 - [GET /appointments/{appointment_id}](https://docs.aryeo.com/api/aryeo/appointments/get-appointments-id.md): Get appointment.

### Update appointment.

 - [PUT /appointments/{appointment_id}](https://docs.aryeo.com/api/aryeo/appointments/put-appointments-appointment_id.md): Update appointment.

### Cancel appointment.

 - [PUT /appointments/{appointment_id}/cancel](https://docs.aryeo.com/api/aryeo/appointments/put-appointments-appointment-id-cancel.md): Cancel appointment. The appointments order's customer can be optionally notified of this change.

### Postpone appointment.

 - [PUT /appointments/{appointment_id}/postpone](https://docs.aryeo.com/api/aryeo/appointments/appointments-appointment-id-postpone-put.md): Postpone appointment.

### Reschedule appointment.

 - [PUT /appointments/{appointment_id}/reschedule](https://docs.aryeo.com/api/aryeo/appointments/put-appointments-appointment-id-reschedule.md): Reschedule appointment. The appointments order's customer can be optionally notified of this change.

### Accept appointment.

 - [PUT /appointments/{appointment_id}/accept](https://docs.aryeo.com/api/aryeo/appointments/appointments-appointment-id-accept-put.md): Accept appointment.

### Decline appointment.

 - [PUT /appointments/{appointment_id}/decline](https://docs.aryeo.com/api/aryeo/appointments/appointments-appointment-id-decline-put.md): Decline appointment.

### Schedule appointment.

 - [PUT /appointments/{appointment_id}/schedule](https://docs.aryeo.com/api/aryeo/appointments/appointments-appointment-id-schedule-put.md): Schedule appointment.

### Check appointment availability.

 - [GET /appointments/{appointment_id}/availability](https://docs.aryeo.com/api/aryeo/appointments/appointments-appointment-id-availability-get.md): Check appointment availability.

### Get appointment 3D Home Capture link.

 - [GET /appointments/{appointment_id}/3dh-tour-link](https://docs.aryeo.com/api/aryeo/appointments/appointments-appointment-id-3dh-tour-link-get.md): Get appointment 3D Home Capture link.

### Create appointment.

 - [POST /appointments/store](https://docs.aryeo.com/api/aryeo/appointments/appointments-store-post.md): Create appointment.

## Company Users

Operations related to company users. Companies capture media for their customers. Company users represent photographers, videographers, administrators, and other staff.

### List company team members.

 - [GET /company-team-members](https://docs.aryeo.com/api/aryeo/company-users/company-team-members-get.md): List company team members.

### Get company team member.

 - [GET /company-team-members/{company_team_member_id}](https://docs.aryeo.com/api/aryeo/company-users/company-team-members-company-team-member-id-get.md): Get company team member.

### List company team member events.

 - [GET /company-team-members/{company_team_member_id}/events](https://docs.aryeo.com/api/aryeo/company-users/company-team-members-company-team-member-id-events-get.md): List company team member events.

## Customer Users

Operations related to customer users. Customers receive media from companies. Customer users represent real-estate agents, assistants, listing coordinators, and brokerage members.

### Get customer team member.

 - [GET /customer-team-members/{customer_team_member_id}](https://docs.aryeo.com/api/aryeo/customer-users/customer-team-members-customer-team-member-id-get.md): Get customer team member.

### List customer team memberships.

 - [GET /customer-teams/{customer_team_id}/memberships](https://docs.aryeo.com/api/aryeo/customer-users/customer-teams-customer-team-id-memberships-get.md): List customer team memberships.

### Create customer team affiliate membership.

 - [POST /customer-teams/affiliate-memberships](https://docs.aryeo.com/api/aryeo/customer-users/customer-teams-affiliate-memberships-post.md): Create customer team affiliate membership.

### List customer users.

 - [GET /customer-users](https://docs.aryeo.com/api/aryeo/customer-users/customer-users-get.md): List customer users.

### Create customer user.

 - [POST /customer-users](https://docs.aryeo.com/api/aryeo/customer-users/customer-users-post.md): Create customer user.

### Store customer user credit transaction.

 - [POST /customer-users/{user}/credit-transactions](https://docs.aryeo.com/api/aryeo/customer-users/customer-users-user-credit-transactions-store-post.md): Store customer user credit transaction.

### List customers.

 - [GET /customers](https://docs.aryeo.com/api/aryeo/customer-users/customers-get.md): List customers.

### Create a customer.

 - [POST /customers](https://docs.aryeo.com/api/aryeo/customer-users/customers-post.md): Create a customer.

## Discounts

Operations related to discounts. Discounts support percentage or fixed-amount discounts, and coupon codes.

### List coupons.

 - [GET /coupons](https://docs.aryeo.com/api/aryeo/discounts/get-coupons.md): List coupons.

### Create discount.

 - [POST /discounts](https://docs.aryeo.com/api/aryeo/discounts/post-discounts.md): Create discount.

### Delete discount.

 - [DELETE /discounts/{discount_id}](https://docs.aryeo.com/api/aryeo/discounts/delete-discounts-discount-id.md): Delete discount.

### Delete order discount.

 - [DELETE /orders/{order}/discounts/{discount}](https://docs.aryeo.com/api/aryeo/discounts/orders-order-discounts-discount-delete.md): Delete order discount.

### Redeem promotion code.

 - [POST /promotion-codes/redeem/{discountedType}/{discounted}](https://docs.aryeo.com/api/aryeo/discounts/promotion-codes-redeem-discountedtype-discounted-post.md): Redeem promotion code.

### Refund order payment.

 - [POST /refunds/{orderPayment}](https://docs.aryeo.com/api/aryeo/discounts/refunds-orderpayment-post.md): Refund order payment.

## Listings

Operations related to listings. Listings are the core entity that connects properties with media services.

### List listings.

 - [GET /listings](https://docs.aryeo.com/api/aryeo/listings/get-listings.md): Lists all listings available to a group.

### Create listing.

 - [POST /listings](https://docs.aryeo.com/api/aryeo/listings/post-listings.md): Create listing.

### Get listing.

 - [GET /listings/{listing_id}](https://docs.aryeo.com/api/aryeo/listings/get-listings-id.md): Get listing.

### Update listing.

 - [PUT /listings/{listing_id}](https://docs.aryeo.com/api/aryeo/listings/update-listings.md): Update listing.

### Get listing Cubicasa information.

 - [GET /listings/{listing_id}/cubi-casa](https://docs.aryeo.com/api/aryeo/listings/listings-listing-id-cubi-casa-get.md): Get listing Cubicasa information.

### Search listing details.

 - [GET /listings/{listing_id}/details/search](https://docs.aryeo.com/api/aryeo/listings/listings-listing-id-details-search-get.md): Search listing details.

### Get listing statistics.

 - [GET /listings/{listing_id}/stats](https://docs.aryeo.com/api/aryeo/listings/listings-listing-id-stats-get.md): Get listing statistics.

## Notes

Operations related to notes. Notes are contextual comments across various entities including orders, listings, customers, and appointments.

### Update order notes.

 - [PUT /orders/{order_id}/notes](https://docs.aryeo.com/api/aryeo/notes/orders-order-id-notes-put.md): Update order notes.

## Order Forms

Operations related to order forms. Order forms are the customer-facing booking interfaces for service requests, product selection, and appointment scheduling.

### Create order form session.

 - [POST /order-form-sessions](https://docs.aryeo.com/api/aryeo/order-forms/post-order-form-sessions.md): Create order form session

### List order forms.

 - [GET /order-forms](https://docs.aryeo.com/api/aryeo/order-forms/get-order-forms.md): Lists all order forms for the current group.

## Order Items

Operations related to order items. Order items are the individual line items within orders.

### Create order item.

 - [POST /order-items](https://docs.aryeo.com/api/aryeo/order-items/post-order-items.md): Create order item.

### Get order item.

 - [GET /order-items/{order_item_id}](https://docs.aryeo.com/api/aryeo/order-items/get-order-items-order-item-id.md): Get order item.

### Update order item.

 - [PUT /order-items/{order_item_id}](https://docs.aryeo.com/api/aryeo/order-items/put-order-items-order-item-id.md): Update order item.

### Delete order item.

 - [DELETE /order-items/{order_item_id}](https://docs.aryeo.com/api/aryeo/order-items/delete-order-items-order-item-id.md): Delete order item.

## Orders

Operations related to orders. Orders are the service orders from customers.

### List orders.

 - [GET /orders](https://docs.aryeo.com/api/aryeo/orders/get-orders.md): Lists all orders of a group.

### Create order.

 - [POST /orders](https://docs.aryeo.com/api/aryeo/orders/post-orders.md): Create order.

### Get order.

 - [GET /orders/{order_id}](https://docs.aryeo.com/api/aryeo/orders/get-orders-id.md): Get order.

### Create a manual order payment.

 - [POST /orders/{order}/payments](https://docs.aryeo.com/api/aryeo/orders/orders-order-payments-post.md): Create a manual order payment.

### Update order billing address.

 - [PUT /orders/{order}/billing-address](https://docs.aryeo.com/api/aryeo/orders/orders-order-billing-address-put.md): Update order billing address.

### Get payment information an order.

 - [GET /orders/{order}/payment-info](https://docs.aryeo.com/api/aryeo/orders/orders-order-payment-info-get.md): Get payment information an order.

## Payroll

Operations related to payroll.

### Create billing setup intent.

 - [POST /billing/setup-intents](https://docs.aryeo.com/api/aryeo/payroll/billing-setup-intents-post.md): Create billing setup intent.

### List order item pay run item defaults.

 - [GET /order-items/{order_item_id}/pay-run-item-defaults](https://docs.aryeo.com/api/aryeo/payroll/order-items-order-item-id-pay-run-item-defaults-get.md): List order item pay run item defaults.

## Products

Operations related to products. Products consist of the categories and offerings for services and products.

### List products.

 - [GET /products](https://docs.aryeo.com/api/aryeo/products/get-products.md): List products.

### List product categories.

 - [GET /product-categories](https://docs.aryeo.com/api/aryeo/products/get-product-categories.md): List product categories.

### Create tax.

 - [POST /taxes](https://docs.aryeo.com/api/aryeo/products/post-taxes.md): Create tax.

### Delete tax.

 - [DELETE /taxes/{tax_id}](https://docs.aryeo.com/api/aryeo/products/delete-taxes-tax-id.md): Delete tax.

### List territories.

 - [GET /territories](https://docs.aryeo.com/api/aryeo/products/get-territories.md): List territories.

## Scheduling

Operations related to scheduling. Scheduling operations provide information about service provider availability.

### Create block.

 - [POST /blocks](https://docs.aryeo.com/api/aryeo/scheduling/blocks-post.md): Create block.

### Delete block.

 - [DELETE /blocks/{block_id}](https://docs.aryeo.com/api/aryeo/scheduling/blocks-block-id-delete.md): Delete block.

### Get block.

 - [GET /blocks/{block_id}](https://docs.aryeo.com/api/aryeo/scheduling/blocks-block-id-get.md): Get block.

### Update block.

 - [PUT /blocks/{block_id}](https://docs.aryeo.com/api/aryeo/scheduling/blocks-block-id-put.md): Update block.

### List regions.

 - [GET /regions](https://docs.aryeo.com/api/aryeo/scheduling/regions-get.md): List regions.

### Get scheduling assignment.

 - [GET /scheduling/assignment](https://docs.aryeo.com/api/aryeo/scheduling/scheduling-assignment-get.md): Get scheduling assignment.

### List available dates.

 - [GET /scheduling/available-dates](https://docs.aryeo.com/api/aryeo/scheduling/get-available-dates.md): List available dates. Availability can be listed using a specific start & end date range, or using a timeframe. When using a timeframe, the page parameter can be used to flip through weeks, months, etc.

### List available timeslots.

 - [GET /scheduling/available-timeslots](https://docs.aryeo.com/api/aryeo/scheduling/get-available-timeslots.md): List available timeslots. Timeslots are returned for the entire day in the local timezone. 

Results are returned in UTC!

### List schedule item groupings.

 - [GET /scheduling/item-groupings](https://docs.aryeo.com/api/aryeo/scheduling/scheduling-item-groupings-get.md): List schedule item groupings.

## Tags

Operations related to tags. Tags are used to organize and categorize content using a flexible tagging system.

### Create customer team tag.

 - [POST /customer-teams/{customer_team_id}/tags](https://docs.aryeo.com/api/aryeo/tags/customer-teams-customer-team-id-tags-post.md): Create customer team tag.

### Update customer team tag.

 - [PUT /customer-teams/{customer_team_id}/tags](https://docs.aryeo.com/api/aryeo/tags/customer-teams-customer-team-id-tags-put.md): Update customer team tag.

### Delete customer team tag.

 - [DELETE /customer-teams/{customer_team_id}/tags/{tag_id}](https://docs.aryeo.com/api/aryeo/tags/customer-teams-customer-team-id-tags-tag-id-delete.md): Delete customer team tag.

### Create tag for order.

 - [POST /orders/{order_id}/tags](https://docs.aryeo.com/api/aryeo/tags/orders-order-id-tags-post.md): Create tag for order.

### Update tag for order.

 - [PUT /orders/{order_id}/tags](https://docs.aryeo.com/api/aryeo/tags/put-order-tags-tag-id.md): Update tag for order.

### Delete tag for order.

 - [DELETE /orders/{order_id}/tags/{tag_id}](https://docs.aryeo.com/api/aryeo/tags/orders-order-id-tags-tag-id-delete.md): Delete tag for order.

### Create tag.

 - [POST /products/{product_id}/tags](https://docs.aryeo.com/api/aryeo/tags/post-products-product-id-tags.md): Create tag.

### Update product tag.

 - [PUT /products/{product_id}/tags](https://docs.aryeo.com/api/aryeo/tags/put-products-product-id-tags.md): Update product tag.

### Update tag.

 - [PUT /products/{product_id}/tags/{tag_id}](https://docs.aryeo.com/api/aryeo/tags/put-products-product-id-tags-tag-id.md): Update tag.

### Delete product tag.

 - [DELETE /products/{product_id}/tags/{tag_id}](https://docs.aryeo.com/api/aryeo/tags/delete-products-product-id-tags-tag-id.md): Delete product tag.

### Create tag.

 - [POST /tags](https://docs.aryeo.com/api/aryeo/tags/tags-post.md): Create tag.

### Update tag.

 - [PUT /tags/{tag_id}](https://docs.aryeo.com/api/aryeo/tags/tags-tag-id-put.md): Update tag.

## Tasks

Operations related to tasks. Tasks are used to track work items, assignments, and completion status.

### List tasks.

 - [GET /tasks](https://docs.aryeo.com/api/aryeo/tasks/tasks-get.md): List tasks.

### Create task.

 - [POST /tasks](https://docs.aryeo.com/api/aryeo/tasks/tasks-post.md): Create task.

### Delete task.

 - [DELETE /tasks/{task_id}](https://docs.aryeo.com/api/aryeo/tasks/tasks-task-id-delete.md): Delete task.

### Get task.

 - [GET /tasks/{task_id}](https://docs.aryeo.com/api/aryeo/tasks/tasks-task-id-get.md): Get task.

### Update task.

 - [PUT /tasks/{task_id}](https://docs.aryeo.com/api/aryeo/tasks/tasks-task-id-put.md): Update task.

### Complete task.

 - [PUT /tasks/{task_id}/complete](https://docs.aryeo.com/api/aryeo/tasks/tasks-task-id-complete-put.md): Complete task.

### Reinstate task.

 - [PUT /tasks/{task_id}/reinstate](https://docs.aryeo.com/api/aryeo/tasks/tasks-task-id-reinstate-put.md): Reinstate task.

## Videos

Operations related to videos.

### Get video.

 - [GET /videos/{video_id}](https://docs.aryeo.com/api/aryeo/videos/get-videos-video-id.md): Get video.

### Update video.

 - [PUT /videos/{video_id}](https://docs.aryeo.com/api/aryeo/videos/put-videos-video-id.md): Update video.

### Delete video.

 - [DELETE /videos/{video_id}](https://docs.aryeo.com/api/aryeo/videos/delete-videos-video-id.md): Delete video.

